Update OS X DeFi Wallet from 3.2.9 to 4.0.0

From DeFiChain-Wiki
Revision as of 21:44, 16 November 2023 by L21 (talk | contribs) (Initial)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)

As of the new desktop full-node DeFI Wallet 4.0.0 release the Mac OS X build is not available due to Apple developer account signing issues. The current workaround for Mac users is the following:

  • Make sure you have the latest DeFi Wallet 3.2.9 version up and running.
  • Download the lastest full node release 4.0.1 for Mac OS X and unpack it.
  • Quit the DeFi Wallet.
  • Make a backup copy of your current defid binary: cp /Applications/DeFi\ Wallet.app/Contents/Resources/bin/mac/defid /Applications/DeFi\ Wallet.app/Contents/Resources/bin/mac/defid.bak
  • Copy the defid binary from the full node release to the location where your current defid binary is: cp Downloads/defichain-4.0.1/bin/defi /Applications/DeFi\ Wallet.app/Contents/Resources/bin/mac/defid
  • Restart the DeFi Wallet.
  • NOTE: On start you will get an error message saying "An error occured while checking for a software update. [...]". Cancel this error message away.
  • After a short while the DeFi Wallet is fully loaded and ready to go.
  • To verify that you are running the 4.x version switch to the Console window in the DeFi Wallet and enter the following command: getversioninfo

DISCLAIMER: This is what is working for me. Please only use this workaround if you fully understand what it is doing. I take no responsibility for lost funds or any other damage that it might cause.